// pages/welfareMall/staff/distinguish.js
import WelfareMall from '../../../api/welfareMall'
import { parseTime } from '../../../utils/util'
import {getMobileCache, getPhoneNumber as getPhoneNumberSync} from '../../../utils/user'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    this.setData({
      isLogin: getMobileCache() != ''
     })
      if(this.data.isLogin){
        this.discernStoreStaff();
      } else {
        wx.switchTab({
          url:"/pages/welfareMall/personal/personal",
        })
      }
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  
  discernStoreStaff: async function(){
    /**
     * 根据手机识别职员信息
     */
      // let resStaff = await WelfareMall.discernStoreStaff({
      //   mobile: getMobileCache(),
      // });
      await WelfareMall.discernStoreStaff({
        mobile: getMobileCache(),
      }).then(res => {
          if (res.code == 200) {
            let resStaff = res
            if(resStaff.data.found){
              let staffInfo = resStaff.data;
              let shopowner = "no";
              if(staffInfo.staffList != null && staffInfo.staffList.length >0){
                for(var i=0;i<staffInfo.staffList.length;i++){
                  //判断员工是否是店长
                  if(1 == staffInfo.staffList[i].staff.isShopowner){
                    shopowner = "have";
                    break;
                  }
                }
              }
              setTimeout(function () {
                wx.redirectTo({
                  url:"../staff/isStaff?shopowner="+shopowner,
                })
              }, 2000) //延迟时间
              
            } else {
              setTimeout(function () {
                wx.redirectTo({
                  url:"../staff/noStaff"
                })
              }, 2000) //延迟时间
            }
          } else{
            wx.switchTab({
              url:"/pages/welfareMall/personal/personal",
            })
          }
      }).catch(_ => {
          console.log(_)
          wx.switchTab({
            url:"/pages/welfareMall/personal/personal",
          })
      })
      
    },
})